import { TianMapFeature } from "./TianMapFeature.js";

/**
 * @prop {Tian} map
 * @prop {Object} settings
 * @prop {String} settings.type
 * @prop {String} settings.position
 */
export default class TianZoomControl extends TianMapFeature {
  constructor(settings, map) {
    super(settings, map);

    let control = new T.Control.Zoom();
    control.setPosition(eval(this.settings.position));
    this.map.tianMap.addControl(
      control
    );
  }
}
